Bug 620950 - The kate editor does not retain printing preferences
The kate editor does not retain printing preferences
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdesdk (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 16:26 EDT by Shaun Andrew
Modified: 2011-06-28 11:00 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 11:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaun Andrew 2010-08-03 16:26:30 EDT
Description of problem:  kate does not retain any printing preferences for Headers & Footers and for Margins.

Version-Release number of selected component (if applicable):
kate 3.4.5 is part of KDE 4.4.5

How reproducible:
always

Steps to Reproduce:
 1. open a file in kate
 2. select File
 3. select Print
 4. select Options>> button on the Print Dialog window
 5. select the Header & Footer Tab
 6. change anything from the default settings for Header & Footer
 7. select the Properties button on the Print Dialog window
 8. change the Margins from their default settings
 9. select the Print button
10. repeat step 2 through 8.

  
Actual results:
ALL of the Header & Footer and Margin preferences revert back to the default between kate print jobs and between kate sessions

Expected results:
Header & Footer and Margin preferences should be retained from one kate print job to the next, and from one kate session to the next.

Additional info:
kate retained print preferences up to Fedora 8 with KDE 3.5.10.  I know kate also retained print preferences under Redhat 7.2, which ran KDE 2.x.
Comment 1 Kevin Kofler 2010-08-03 17:11:35 EDT
Kate is in kdesdk these days (though the component at fault might turn out to actually be in kdelibs, I'm not sure).
Comment 2 Bug Zapper 2011-06-01 08:10:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 11:00:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.